/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gameactual;

/**
 *
 * @author Griff
 */
import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;
import gamelibrary.collisiondetection.Collidable;

public class MazeSeg extends Collidable{

    private Image spriteImg;
    private int sprWid = 20, sprHgt = 20;
    private Coordinates coordinates;

    public MazeSeg(Coordinates coordinates){
        super();
        this.coordinates = coordinates;
        lethal = false;
        impassable = true;
        try
        {
            int[] seq = {0};  //Frame sequence
            spriteImg = Image.createImage("/maze.png");
            sprite = new Sprite(spriteImg, sprWid, sprHgt);
            sprite.setFrameSequence(seq);
            sprite.setRefPixelPosition(coordinates.getX(), coordinates.getY());
        }
        catch(Exception e)
        {
            System.out.println("Error loading sprite!!");
        }
    }

    public Coordinates getCoordinates(){
        return coordinates;
    }

    public void addToLayerManager(LayerManager layerManager){
        layerManager.append(sprite);
    }

    public boolean die(){
        return false;
    }
}
