/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gameactual;

/**
 *
 * @author Griff
 */
import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;
import gamelibrary.gameobject.GameObject;
import gamelibrary.collisiondetection.*;

public class PacDot extends Collidable implements GameObject{

    private Image spriteImg;
    private int sprWid = 10, sprHgt = 10;
    private Coordinates coordinates;
    LayerManager layermanager;

    public PacDot(Coordinates coordinates){
        super();
        this.coordinates = coordinates;
        lethal = false;
        impassable = false;
        try
        {
            int[] seq = {0, 1};  //Frame sequence
            spriteImg = Image.createImage("/thing.png");
            sprite = new Sprite(spriteImg, sprWid, sprHgt);
            sprite.setFrameSequence(seq);
            sprite.setRefPixelPosition(coordinates.getX(), coordinates.getY());
        }
        catch(Exception e)
        {
            System.out.println("Error loading sprite!!");
        }
    }

    public void action(Collidable object,  boolean olethal, boolean okillable, boolean oimpassable){
        layermanager.remove(sprite);
        CollisionDetector.getTheCollisionDetector().removeCollidable(this);
    }

    public Coordinates getCoordinates(){
        return coordinates;
    }

    public void addToLayerManager(LayerManager layerManager){
        this.layermanager = layerManager;
        layerManager.append(sprite);
    }

    public boolean die(){
        layermanager.remove(sprite);
        CollisionDetector.getTheCollisionDetector().removeCollidable(this);
        return true;
    }
}
