/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamelibrary.collisiondetection;

import javax.microedition.lcdui.game.*;
import gamelibrary.gameobject.GameObject;
import java.util.Vector;
/**
 *
 * @author Griff
 */

public abstract class Collidable implements GameObject{

    protected Sprite sprite;
    protected boolean lethal;
    protected boolean impassable;
    protected Vector properties;

    public Collidable(){
        CollisionDetector.getTheCollisionDetector().addCollidable(this);
    }

    public void resolveCollision(Collidable forgien){
        for (int i = 0; i < properties.size(); i++){
            Property property = (Property) properties.elementAt(i);
            property.act(forgien);
        }
    }

    public void action(Collidable forgien){

    }

    public void action(){
        
    }

    public void halt(){
        
    }

    public boolean collidesWith(Collidable otherCollidable){
        return otherCollidable.collidesWith(sprite);
    }

    private boolean collidesWith(Sprite otherSprite){
        return sprite.collidesWith(otherSprite, true);
    }
}
