/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamelibrary.collisiondetection;

/**
 *
 * @author Griff
 */
import java.util.Vector;
public class CollisionDetector {
    
    private static CollisionDetector collisionDector;
    private Vector collidables;

    private CollisionDetector(){
    collidables = new Vector();
    }

    public static CollisionDetector getTheCollisionDetector(){
        if (collisionDector == null){
            collisionDector = new CollisionDetector();
        }
        return collisionDector;
    }

    public void addCollidable(Collidable collidable){
        collidables.addElement(collidable);
    }

    public void removeCollidable(Collidable collidable){
        collidables.removeElement(collidable);
    }
    
    public Vector detect(){
        Vector collisionsFound = new Vector();
        for (int i = 0; i < collidables.size(); i++){
               for (int j = 0; j < collidables.size(); j++){
                   Collidable colI = (Collidable) collidables.elementAt(i);
                   Collidable colJ = (Collidable) collidables.elementAt(j);
                   if (i != j){
                        if (colI.collidesWith(colJ)){
                            Collision collisionIJ = new Collision(colI, colJ);
                            collisionsFound.addElement(collisionIJ);
                        }
                    }
               }
           }
        return collisionsFound;
    }
}
